Skip to content
This repository has been archived by the owner. It is now read-only.

GWT 1.7 broken for debugging gadgets in hosted mode. #300

Open
GoogleCodeExporter opened this issue Sep 10, 2015 · 1 comment
Open

GWT 1.7 broken for debugging gadgets in hosted mode. #300

GoogleCodeExporter opened this issue Sep 10, 2015 · 1 comment

Comments

@GoogleCodeExporter
Copy link

@GoogleCodeExporter GoogleCodeExporter commented Sep 10, 2015

Found in Release:
GWT 1.7

Detailed description:
Recompiled with GWT 1.7 and now it doesn't work with this error message:

"Invalid version number "1.7" passed to external.gwtOnLoad(), expected
"1.6"; your 
hosted mode bootstrap file may be out of date; if you are using -noserver try 
recompiling and redeploying your app"

This is due to the fact that gwt-dev-windows.jar from GWT 1.7 (inside
Eclipse GWT 
Plugin) the class BrowserWidget (http://www.google.com/codesearch/p?
hl=it&sa=N&cd=1&ct=rc#A1edwVHBClQ/dev/core/src/com/google/gwt/dev/shell/BrowserW
idget
.java&q=BrowserWidget.java%20package:http://google-web-toolkit%5C.googlecode%5C.
com

contains this declaration:

private static final String EXPECTED_GWT_ONLOAD_VERSION = "1.6";

So when I recompile with 1.7 now it expects 1.6 !!!


Workaround if you have one:
Edit your gadget spec, and change gwtOnLoad's 3rd parameter from 1.7 to 1.6

Links to the relevant GWT Developer Forum posts:

Original issue reported on code.google.com by galgwt.reviews@gmail.com on 24 Aug 2009 at 7:08

@GoogleCodeExporter
Copy link
Author

@GoogleCodeExporter GoogleCodeExporter commented Sep 10, 2015

Original comment by zundel@google.com on 17 Dec 2009 at 10:28

Loading

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant